Bug 816694 - Resource remains in treevew after it is removed from inventory
Resource remains in treevew after it is removed from inventory
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 13:43 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-26 13:43:21 EDT
Description of problem: When a resource is removed from inventory it remains in tree view. I reproduce this issue when testing AS7 plugin, but it does not seem to be related. It happens for singleton resources, but I am not sure if that matters.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 103c02e
GWT Version: 2.4.0
SmartGWT Version: 3.0
Firefox 3.6.x

How reproducible:always

This can be reproduced by removing Mail server on EAP6 running in standalone mode.

Steps to Reproduce:
1.import EAP6 standalone
2.navigate in to inventory of 'mail->java:jboss/mail/Default' resource
3.expand treeview so 'smtp' child of 'java:jboss/mail/Default' is exapnded and visible
4. delete 'smtp' resource
  
Actual results:
'smtp' is removed from Inventory table. Treeview refreshes, but resource remains there.

Expected results: 'smtp' is removed from treeview too
Comment 1 Mike Foley 2012-04-30 12:02:15 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley

Note You need to log in before you can comment on or make changes to this bug.